'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _get = function get(_x, _x2, _x3) { var _again = true; _function: while (_again) { var object = _x, property = _x2, receiver = _x3; desc = parent = getter = undefined; _again = false; if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { _x = parent; _x2 = property; _x3 = receiver; _again = true; continue _function; } } else if ('value' in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } } };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactArt = require('react-art');

var _immutableVector2d = require('immutable-vector2d');

var _immutableVector2d2 = _interopRequireDefault(_immutableVector2d);

var W = 50,
    H = W,
    S = 0.6;

var scale = new _reactArt.Transform().translate(W / 2, H / 2).scale(S, S).translate(-W / 2, -H / 2); // scale from center

var ArtWrapper = (function (_React$Component) {
  _inherits(ArtWrapper, _React$Component);

  function ArtWrapper(props) {
    _classCallCheck(this, ArtWrapper);

    _get(Object.getPrototypeOf(ArtWrapper.prototype), 'constructor', this).call(this, props);
  }

  _createClass(ArtWrapper, [{
    key: 'render',
    value: function render() {
      var endPoints = [new _immutableVector2d2['default'](0, 0), new _immutableVector2d2['default'](W, H)],
          Art = this.props.art;
      return _react2['default'].createElement(
        'div',
        { style: { padding: 0, margin: 0, border: 0 } },
        _react2['default'].createElement(
          _reactArt.Surface,
          {
            width: W,
            height: H,
            style: { display: 'block' }
          },
          _react2['default'].createElement(
            _reactArt.Group,
            { transform: scale },
            _react2['default'].createElement(Art, {
              connectors: endPoints,
              id: 'nah',
              current: 0,
              color: this.props.color,
              theme: this.props.theme
            })
          )
        )
      );
    }
  }]);

  return ArtWrapper;
})(_react2['default'].Component);

exports['default'] = ArtWrapper;

ArtWrapper.propTypes = {
  art: _react2['default'].PropTypes.any.isRequired,
  color: _react2['default'].PropTypes.string.isRequired,
  theme: _react2['default'].PropTypes.object.isRequired
};
module.exports = exports['default'];